Bug 426510 - lsusb -s bus:dev reports worng device
lsusb -s bus:dev reports worng device
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: usbutils (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Jiri Moskovcak
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-21 11:29 EST by Peter Robinson
Modified: 2015-02-01 17:47 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-17 11:28:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Robinson 2007-12-21 11:29:59 EST
If you do a lsusb -s and specify a bus:dev it returns the wrong device. For the
example below I would expect 'lsusb -s 001:015 to return the ipod but it returns
the MS Mouse on 001:013

[root@euuklonw7300b1n ~]# lsusb 
Bus 004 Device 001: ID 0000:0000  
Bus 001 Device 015: ID 05ac:1291 Apple Computer, Inc. 
Bus 001 Device 013: ID 045e:0084 Microsoft Corp. 
Bus 001 Device 012: ID 04b4:6560 Cypress Semiconductor Corp. CY7C65640 USB-2.0
"TetraHub"
Bus 001 Device 001: ID 0000:0000  
Bus 005 Device 001: ID 0000:0000  
Bus 002 Device 003: ID 03f0:171d Hewlett-Packard 
Bus 002 Device 001: ID 0000:0000  
Bus 003 Device 001: ID 0000:0000  
[root@euuklonw7300b1n ~]# lsusb -h
lsusb: invalid option -- h
Usage: lsusb [options]...
List USB devices
  -v, --verbose
      Increase verbosity (show descriptors)
  -s [[bus]:][devnum]
      Show only devices with specified device and/or
      bus numbers (in decimal)
  -d vendor:[product]
      Show only devices with the specified vendor and
      product ID numbers (in hexadecimal)
  -D device
      Selects which device lsusb will examine
  -t
      Dump the physical USB device hierarchy as a tree
  -V, --version
      Show version of program
[root@euuklonw7300b1n ~]# lsusb -s 001:015
Bus 001 Device 013: ID 045e:0084 Microsoft Corp. 
[root@euuklonw7300b1n ~]# lsusb -s 001:017
Bus 001 Device 015: ID 05ac:1291 Apple Computer, Inc.
Comment 1 Jiri Moskovcak 2008-01-17 09:31:02 EST
According to help you have to use decimal numbers - in this case: 
$ lsusb -s 1:15 should work as expected (or you can use hexadecimal numbers 
0x2:0xF).

jirka

Note You need to log in before you can comment on or make changes to this bug.